# Profile

## GET /api/v1/dashboard/profile/

> Retrieve User Profile Edit.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserProfileEdit":{"type":"object","properties":{"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"communities":{"type":"array","items":{},"writeOnly":true},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"district":{"type":"string","nullable":true}},"required":["communities","email","full_name"]}}},"paths":{"/api/v1/dashboard/profile/":{"get":{"operationId":"dashboard_profile_retrieve","description":"Retrieve User Profile Edit.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserProfileEdit"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## DELETE /api/v1/dashboard/profile/

> Delete User Profile Edit.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserProfileEdit":{"type":"object","properties":{"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"communities":{"type":"array","items":{},"writeOnly":true},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"district":{"type":"string","nullable":true}},"required":["communities","email","full_name"]}}},"paths":{"/api/v1/dashboard/profile/":{"delete":{"operationId":"dashboard_profile_destroy","description":"Delete User Profile Edit.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserProfileEdit"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PATCH /api/v1/dashboard/profile/

> Partially update User Profile Edit.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserProfileEdit":{"type":"object","properties":{"full_name":{"type":"string","maxLength":150},"email":{"type":"string","format":"email","maxLength":200},"mobile":{"type":"string","nullable":true,"maxLength":15},"communities":{"type":"array","items":{},"writeOnly":true},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"dob":{"type":"string","format":"date","nullable":true},"district":{"type":"string","nullable":true}},"required":["communities","email","full_name"]}}},"paths":{"/api/v1/dashboard/profile/":{"patch":{"operationId":"dashboard_profile_partial_update","description":"Partially update User Profile Edit.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserProfileEdit"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/badges/{muid}

> Retrieve Badges.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ProfileBadgesResponse":{"type":"object","properties":{"full_name":{"type":"string"},"completed_tasks":{"type":"array","items":{"type":"string"}}},"required":["completed_tasks","full_name"]}}},"paths":{"/api/v1/dashboard/profile/badges/{muid}":{"get":{"operationId":"dashboard_profile_badges_retrieve","description":"Retrieve Badges.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/ProfileBadgesResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/profile/change-password/

> Create Reset Password.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/profile/change-password/":{"post":{"operationId":"dashboard_profile_change_password_create","description":"Create Reset Password.","tags":["Profile"],"responses":{"200":{"description":"Success"}}}}}}
```

## GET /api/v1/dashboard/profile/cover-pic/

> Retrieve User Profile Cover.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserProfile":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"joined":{"type":"string","format":"date-time"},"full_name":{"type":"string","maxLength":150},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"muid":{"type":"string","maxLength":100},"roles":{"type":"string","readOnly":true},"role_verification":{"type":"string","readOnly":true},"college_id":{"type":"string","readOnly":true},"college_code":{"type":"string","readOnly":true},"org_district_id":{"type":"string","readOnly":true},"karma":{"type":"integer"},"rank":{"type":"string","readOnly":true},"karma_distribution":{"type":"string","readOnly":true},"level":{"type":"string"},"profile_pic":{"type":"string","readOnly":true},"cover_pic":{"type":"string","readOnly":true},"interest_groups":{"type":"string","readOnly":true},"is_public":{"type":"boolean"},"percentile":{"type":"string","readOnly":true}},"required":["college_code","college_id","cover_pic","full_name","interest_groups","joined","karma_distribution","muid","org_district_id","percentile","profile_pic","rank","role_verification","roles"]}}},"paths":{"/api/v1/dashboard/profile/cover-pic/":{"get":{"operationId":"dashboard_profile_cover_pic_retrieve","description":"Retrieve User Profile Cover.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserProfile"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/profile/cover-pic/

> Create User Profile Cover.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserProfile":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"joined":{"type":"string","format":"date-time"},"full_name":{"type":"string","maxLength":150},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"muid":{"type":"string","maxLength":100},"roles":{"type":"string","readOnly":true},"role_verification":{"type":"string","readOnly":true},"college_id":{"type":"string","readOnly":true},"college_code":{"type":"string","readOnly":true},"org_district_id":{"type":"string","readOnly":true},"karma":{"type":"integer"},"rank":{"type":"string","readOnly":true},"karma_distribution":{"type":"string","readOnly":true},"level":{"type":"string"},"profile_pic":{"type":"string","readOnly":true},"cover_pic":{"type":"string","readOnly":true},"interest_groups":{"type":"string","readOnly":true},"is_public":{"type":"boolean"},"percentile":{"type":"string","readOnly":true}},"required":["college_code","college_id","cover_pic","full_name","interest_groups","joined","karma_distribution","muid","org_district_id","percentile","profile_pic","rank","role_verification","roles"]}}},"paths":{"/api/v1/dashboard/profile/cover-pic/":{"post":{"operationId":"dashboard_profile_cover_pic_create","description":"Create User Profile Cover.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserProfile"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## DELETE /api/v1/dashboard/profile/cover-pic/

> Delete User Profile Cover.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserProfile":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"joined":{"type":"string","format":"date-time"},"full_name":{"type":"string","maxLength":150},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"muid":{"type":"string","maxLength":100},"roles":{"type":"string","readOnly":true},"role_verification":{"type":"string","readOnly":true},"college_id":{"type":"string","readOnly":true},"college_code":{"type":"string","readOnly":true},"org_district_id":{"type":"string","readOnly":true},"karma":{"type":"integer"},"rank":{"type":"string","readOnly":true},"karma_distribution":{"type":"string","readOnly":true},"level":{"type":"string"},"profile_pic":{"type":"string","readOnly":true},"cover_pic":{"type":"string","readOnly":true},"interest_groups":{"type":"string","readOnly":true},"is_public":{"type":"boolean"},"percentile":{"type":"string","readOnly":true}},"required":["college_code","college_id","cover_pic","full_name","interest_groups","joined","karma_distribution","muid","org_district_id","percentile","profile_pic","rank","role_verification","roles"]}}},"paths":{"/api/v1/dashboard/profile/cover-pic/":{"delete":{"operationId":"dashboard_profile_cover_pic_destroy","description":"Delete User Profile Cover.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserProfile"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/get-user-levels/

> Retrieve User Levels.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserLevel":{"type":"object","properties":{"name":{"type":"string","maxLength":36},"tasks":{"type":"string","readOnly":true},"karma":{"type":"integer","maximum":2147483647,"minimum":-2147483648}},"required":["karma","name","tasks"]}}},"paths":{"/api/v1/dashboard/profile/get-user-levels/":{"get":{"operationId":"dashboard_profile_get_user_levels_retrieve","description":"Retrieve User Levels.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserLevel"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/get-user-levels/{muid}/

> Retrieve User Levels.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserLevel":{"type":"object","properties":{"name":{"type":"string","maxLength":36},"tasks":{"type":"string","readOnly":true},"karma":{"type":"integer","maximum":2147483647,"minimum":-2147483648}},"required":["karma","name","tasks"]}}},"paths":{"/api/v1/dashboard/profile/get-user-levels/{muid}/":{"get":{"operationId":"dashboard_profile_get_user_levels_retrieve_2","description":"Retrieve User Levels.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserLevel"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/ig-edit/

> Retrieve User Ig Edit.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserIgList":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75}},"required":["name"]}}},"paths":{"/api/v1/dashboard/profile/ig-edit/":{"get":{"operationId":"dashboard_profile_ig_edit_retrieve","description":"Retrieve User Ig Edit.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserIgList"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PATCH /api/v1/dashboard/profile/ig-edit/

> Partially update User Ig Edit.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserIgEdit":{"type":"object","properties":{"interest_group":{"type":"array","items":{},"writeOnly":true}},"required":["interest_group"]}}},"paths":{"/api/v1/dashboard/profile/ig-edit/":{"patch":{"operationId":"dashboard_profile_ig_edit_partial_update","description":"Partially update User Ig Edit.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserIgEdit"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/karma-feed/

> Retrieve Karma Feed.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ProfileKarmaFeedResponse":{"type":"object","properties":{"top_user":{"$ref":"#/components/schemas/ProfileKarmaFeedTopUser"},"top_college":{"$ref":"#/components/schemas/ProfileKarmaFeedTopCollege"}},"required":["top_college","top_user"]},"ProfileKarmaFeedTopUser":{"type":"object","properties":{"karma":{"type":"integer"},"full_name":{"type":"string","nullable":true},"muid":{"type":"string","nullable":true}},"required":["full_name","karma","muid"]},"ProfileKarmaFeedTopCollege":{"type":"object","properties":{"karma":{"type":"integer"},"name":{"type":"string","nullable":true}},"required":["karma","name"]}}},"paths":{"/api/v1/dashboard/profile/karma-feed/":{"get":{"operationId":"dashboard_profile_karma_feed_retrieve","description":"Retrieve Karma Feed.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/ProfileKarmaFeedResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/permute/{muid}/

> Retrieve User Permute.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserPermute":{"type":"object","properties":{"full_name":{"type":"string"},"user_domains":{"type":"string","readOnly":true},"college_name":{"type":"string","readOnly":true}},"required":["college_name","full_name","user_domains"]}}},"paths":{"/api/v1/dashboard/profile/permute/{muid}/":{"get":{"operationId":"dashboard_profile_permute_retrieve","description":"Retrieve User Permute.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserPermute"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/qrcode-get/{uuid}/

> Retrieve Qrcode Retrieve.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserShareQrcode":{"type":"object","properties":{"profile_pic":{"type":"string","readOnly":true}},"required":["profile_pic"]}}},"paths":{"/api/v1/dashboard/profile/qrcode-get/{uuid}/":{"get":{"operationId":"dashboard_profile_qrcode_get_retrieve","description":"Retrieve Qrcode Retrieve.","parameters":[{"in":"path","name":"uuid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserShareQrcode"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/rank/{muid}/

> Retrieve User Rank.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserRank":{"type":"object","properties":{"full_name":{"type":"string"},"role":{"type":"string","readOnly":true},"rank":{"type":"string","readOnly":true},"karma":{"type":"string","readOnly":true},"interest_groups":{"type":"string","readOnly":true}},"required":["full_name","interest_groups","karma","rank","role"]}}},"paths":{"/api/v1/dashboard/profile/rank/{muid}/":{"get":{"operationId":"dashboard_profile_rank_retrieve","description":"Retrieve User Rank.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserRank"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/share-user-profile/

> Retrieve Share User Profile.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ShareUserProfileUpdate":{"type":"object","properties":{"is_public":{"type":"boolean"},"updated_by":{"type":"string"},"updated_at":{"type":"string"}}}}},"paths":{"/api/v1/dashboard/profile/share-user-profile/":{"get":{"operationId":"dashboard_profile_share_user_profile_retrieve","description":"Retrieve Share User Profile.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/ShareUserProfileUpdate"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PUT /api/v1/dashboard/profile/share-user-profile/

> Update Share User Profile.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ShareUserProfileUpdate":{"type":"object","properties":{"is_public":{"type":"boolean"},"updated_by":{"type":"string"},"updated_at":{"type":"string"}}}}},"paths":{"/api/v1/dashboard/profile/share-user-profile/":{"put":{"operationId":"dashboard_profile_share_user_profile_update","description":"Update Share User Profile.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/ShareUserProfileUpdate"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/share-user-profile/{uuid}/

> Retrieve Share User Profile.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ShareUserProfileUpdate":{"type":"object","properties":{"is_public":{"type":"boolean"},"updated_by":{"type":"string"},"updated_at":{"type":"string"}}}}},"paths":{"/api/v1/dashboard/profile/share-user-profile/{uuid}/":{"get":{"operationId":"dashboard_profile_share_user_profile_retrieve_2","description":"Retrieve Share User Profile.","parameters":[{"in":"path","name":"uuid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/ShareUserProfileUpdate"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PUT /api/v1/dashboard/profile/share-user-profile/{uuid}/

> Update Share User Profile.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ShareUserProfileUpdate":{"type":"object","properties":{"is_public":{"type":"boolean"},"updated_by":{"type":"string"},"updated_at":{"type":"string"}}}}},"paths":{"/api/v1/dashboard/profile/share-user-profile/{uuid}/":{"put":{"operationId":"dashboard_profile_share_user_profile_update_2","description":"Update Share User Profile.","parameters":[{"in":"path","name":"uuid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/ShareUserProfileUpdate"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/socials/

> Retrieve Get Socials.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LinkSocials":{"type":"object","properties":{"github":{"type":"string","nullable":true,"maxLength":60},"facebook":{"type":"string","nullable":true,"maxLength":60},"instagram":{"type":"string","nullable":true,"maxLength":60},"linkedin":{"type":"string","nullable":true,"maxLength":60},"dribble":{"type":"string","nullable":true,"maxLength":60},"behance":{"type":"string","nullable":true,"maxLength":60},"stackoverflow":{"type":"string","nullable":true,"maxLength":60},"medium":{"type":"string","nullable":true,"maxLength":60},"hackerrank":{"type":"string","nullable":true,"maxLength":60}}}}},"paths":{"/api/v1/dashboard/profile/socials/":{"get":{"operationId":"dashboard_profile_socials_retrieve","description":"Retrieve Get Socials.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/LinkSocials"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/socials/{muid}/

> Retrieve Get Socials.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LinkSocials":{"type":"object","properties":{"github":{"type":"string","nullable":true,"maxLength":60},"facebook":{"type":"string","nullable":true,"maxLength":60},"instagram":{"type":"string","nullable":true,"maxLength":60},"linkedin":{"type":"string","nullable":true,"maxLength":60},"dribble":{"type":"string","nullable":true,"maxLength":60},"behance":{"type":"string","nullable":true,"maxLength":60},"stackoverflow":{"type":"string","nullable":true,"maxLength":60},"medium":{"type":"string","nullable":true,"maxLength":60},"hackerrank":{"type":"string","nullable":true,"maxLength":60}}}}},"paths":{"/api/v1/dashboard/profile/socials/{muid}/":{"get":{"operationId":"dashboard_profile_socials_retrieve_2","description":"Retrieve Get Socials.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/LinkSocials"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PUT /api/v1/dashboard/profile/socials/edit/

> Update Socials.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/profile/socials/edit/":{"put":{"operationId":"dashboard_profile_socials_edit_update","description":"Update Socials.","tags":["Profile"],"responses":{"200":{"description":"Success"}}}}}}
```

## GET /api/v1/dashboard/profile/user-level-feed/

> Retrieve User Level Feed.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserLevel":{"type":"object","properties":{"name":{"type":"string","maxLength":36},"tasks":{"type":"string","readOnly":true},"karma":{"type":"integer","maximum":2147483647,"minimum":-2147483648}},"required":["karma","name","tasks"]}}},"paths":{"/api/v1/dashboard/profile/user-level-feed/":{"get":{"operationId":"dashboard_profile_user_level_feed_retrieve","description":"Retrieve User Level Feed.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserLevel"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/user-log/

> Retrieve User Log.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserLog":{"type":"object","properties":{"task_name":{"type":"string","readOnly":true},"karma":{"type":"integer","maximum":2147483647,"minimum":-2147483648},"created_date":{"type":"string"}},"required":["created_date","karma","task_name"]}}},"paths":{"/api/v1/dashboard/profile/user-log/":{"get":{"operationId":"dashboard_profile_user_log_retrieve","description":"Retrieve User Log.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserLog"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/user-log/{muid}/

> Retrieve User Log.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserLog":{"type":"object","properties":{"task_name":{"type":"string","readOnly":true},"karma":{"type":"integer","maximum":2147483647,"minimum":-2147483648},"created_date":{"type":"string"}},"required":["created_date","karma","task_name"]}}},"paths":{"/api/v1/dashboard/profile/user-log/{muid}/":{"get":{"operationId":"dashboard_profile_user_log_retrieve_2","description":"Retrieve User Log.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserLog"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/user-preferences/

> Retrieve User Preferences.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"ProfileUserPreferencesResponse":{"type":"object","properties":{"domains":{"type":"array","items":{"type":"string"}},"endgoals":{"type":"array","items":{"type":"string"}},"orgs":{"type":"array","items":{"$ref":"#/components/schemas/ProfileUserPreferencesOrg"}}},"required":["domains","endgoals","orgs"]},"ProfileUserPreferencesOrg":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"required":["id","name"]}}},"paths":{"/api/v1/dashboard/profile/user-preferences/":{"get":{"operationId":"dashboard_profile_user_preferences_retrieve","description":"Retrieve User Preferences.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/ProfileUserPreferencesResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## PATCH /api/v1/dashboard/profile/user-preferences/

> Partially update User Preferences.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/profile/user-preferences/":{"patch":{"operationId":"dashboard_profile_user_preferences_partial_update","description":"Partially update User Preferences.","tags":["Profile"],"responses":{"200":{"description":"Success"}}}}}}
```

## GET /api/v1/dashboard/profile/user-profile/

> Retrieve User Profile.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserProfile":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"joined":{"type":"string","format":"date-time"},"full_name":{"type":"string","maxLength":150},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"muid":{"type":"string","maxLength":100},"roles":{"type":"string","readOnly":true},"role_verification":{"type":"string","readOnly":true},"college_id":{"type":"string","readOnly":true},"college_code":{"type":"string","readOnly":true},"org_district_id":{"type":"string","readOnly":true},"karma":{"type":"integer"},"rank":{"type":"string","readOnly":true},"karma_distribution":{"type":"string","readOnly":true},"level":{"type":"string"},"profile_pic":{"type":"string","readOnly":true},"cover_pic":{"type":"string","readOnly":true},"interest_groups":{"type":"string","readOnly":true},"is_public":{"type":"boolean"},"percentile":{"type":"string","readOnly":true}},"required":["college_code","college_id","cover_pic","full_name","interest_groups","joined","karma_distribution","muid","org_district_id","percentile","profile_pic","rank","role_verification","roles"]}}},"paths":{"/api/v1/dashboard/profile/user-profile/":{"get":{"operationId":"dashboard_profile_user_profile_retrieve","description":"Retrieve User Profile.","tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserProfile"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/user-profile/{muid}/

> Retrieve User Profile.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserProfile":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"joined":{"type":"string","format":"date-time"},"full_name":{"type":"string","maxLength":150},"gender":{"enum":["Male","Female","",null],"type":"string","description":"* `Male` - Male\n* `Female` - Female","nullable":true},"muid":{"type":"string","maxLength":100},"roles":{"type":"string","readOnly":true},"role_verification":{"type":"string","readOnly":true},"college_id":{"type":"string","readOnly":true},"college_code":{"type":"string","readOnly":true},"org_district_id":{"type":"string","readOnly":true},"karma":{"type":"integer"},"rank":{"type":"string","readOnly":true},"karma_distribution":{"type":"string","readOnly":true},"level":{"type":"string"},"profile_pic":{"type":"string","readOnly":true},"cover_pic":{"type":"string","readOnly":true},"interest_groups":{"type":"string","readOnly":true},"is_public":{"type":"boolean"},"percentile":{"type":"string","readOnly":true}},"required":["college_code","college_id","cover_pic","full_name","interest_groups","joined","karma_distribution","muid","org_district_id","percentile","profile_pic","rank","role_verification","roles"]}}},"paths":{"/api/v1/dashboard/profile/user-profile/{muid}/":{"get":{"operationId":"dashboard_profile_user_profile_retrieve_2","description":"Retrieve User Profile.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserProfile"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/profile/userterm-approved/{muid}/

> Retrieve Userterm.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserTerm":{"type":"object","properties":{"is_userterms_approved":{"type":"boolean"},"user":{"type":"string"}},"required":["user"]}}},"paths":{"/api/v1/dashboard/profile/userterm-approved/{muid}/":{"get":{"operationId":"dashboard_profile_userterm_approved_retrieve","description":"Retrieve Userterm.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserTerm"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/profile/userterm-approved/{muid}/

> Create Userterm.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UserTerm":{"type":"object","properties":{"is_userterms_approved":{"type":"boolean"},"user":{"type":"string"}},"required":["user"]}}},"paths":{"/api/v1/dashboard/profile/userterm-approved/{muid}/":{"post":{"operationId":"dashboard_profile_userterm_approved_create","description":"Create Userterm.","parameters":[{"in":"path","name":"muid","schema":{"type":"string"},"required":true}],"tags":["Profile"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UserTerm"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
